[mythtv-users] errors on build of mythtv v34 Debain 12 packages after recent updates

Martin Bene Martin.Bene at icomedias.com
Fri Feb 9 18:04:41 UTC 2024


Do you actually have the libdistro-info-perl  package installed? It was not automatically added to my system by the ansible playbook, I had to install that manually.

sudo apt install libdistro-info-perl

made that message (and the problem detecting the distro) go away for my raspberry os builds.

Martin
no.disclaimer



Von: mythtv-users <mythtv-users-bounces at mythtv.org> Im Auftrag von Mike Hodson
Gesendet: Freitag, 9. Februar 2024 18:54
An: Discussion about MythTV <mythtv-users at mythtv.org>
Betreff: Re: [mythtv-users] errors on build of mythtv v34 Debain 12 packages after recent updates

Does no one actively care about the fact that the script can't find the distro info command properly?

Might this be returning strange results for configure versus cmake?

"libdistro-info-perl is not installed, Debian release names are not known.
libdistro-info-perl is not installed, Ubuntu release names are not known.
dch warning: Unable to determine Debian's backport distributions.
dch warning: Recognised distributions are:
experimental, unstable, testing, stable, oldstable, oldoldstable,
{trixie,bookworm,bullseye,buster}-proposed-updates,
{testing,stable,oldstable,oldoldstable}-proposed-updates,
{trixie,bookworm,bullseye,buster}-security,
{testing,stable,oldstable,oldoldstable}}-security and UNRELEASED.
Using your request anyway."

Mike


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.mythtv.org/pipermail/mythtv-users/attachments/20240209/1d3818d9/attachment.htm>


More information about the mythtv-users mailing list